#include<stdio.h>
int pro(int n){
	int i;
	int p=1;
	for(i=0;i<n;i++)
	p*=10;
	return p;
}
main()
{
	int i,c=0,br=0,x,y,brx=0,bry=0,cx[100],cy[100],n,b[100],k=0,x1,y1,broj=0,q,j;
	scanf("%d",&x);
	scanf("%d",&y);
	x1=x;
	y1=y;
	while(x1>0)
	{
		x1=x1/10;
		brx++;
	}
	while(y1>0)
	{
		y1=y1/10;
		bry++;
	}
	for(i=0;i<brx;i++)
	{
		cx[i]=x%10;
		x=x/10;
	}
	for(i=0;i<bry;i++)
	{
		cy[i]=y%10;
		y=y/10;
	}
	if(brx>bry)
	n=bry;
	else
	n=brx;
	for(i=0;i<n;i++)
	if(cx[i]==cy[i])
		{
			k=i;
			n++;
			i++;
			brx++;
			bry++;
			for(j=brx-1;j>k;j--)
			cx[j]=cx[j-1];
			for(j=bry-1;j>k;j--)
			cy[j]=cy[j-1];	
	}
	if(brx>bry)
	q=brx;
	else
	q=bry;
	for(i=0;i<n;i++)
	{
		if(cx[i]>cy[i])
		b[i]=cx[i];
		else
		b[i]=cy[i];
		broj+=b[i]*pro(i);
	}
	for(i=n;i<q;i++)
	{
		if(brx>bry)
		broj=broj+cx[i]*pro(i);
		if(brx<bry)
		broj=broj+cy[i]*pro(i);
		if(brx==bry)
		{
			broj=broj+cx[i]*pro(i);
		}
	}
	printf("%d",broj);
}